gSOAP UDDI v2: uddi2__add_USCOREpublisherAssertions Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__add_USCOREpublisherAssertions Class Reference

Schema urn:uddi-org:api_v2:"add_publisherAssertions". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__add_USCOREpublisherAssertions (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__add_USCOREpublisherAssertions (struct soap *, std::vector< uddi2__publisherAssertion * > publisherAssertions)
| Member declared in uddi2-typemap.dat.
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__publisherAssertion * > | publisherAssertion
| Vector of uddi2__publisherAssertion* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"add_publisherAssertions".

Represents a request to add one or more publisher assertions to the assertion collection for an individual publisher.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137731

## Constructor & Destructor Documentation

uddi2__add_USCOREpublisherAssertions::uddi2__add_USCOREpublisherAssertions | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the add_USCOREpublisherAssertions class.

uddi2__add_USCOREpublisherAssertions::uddi2__add_USCOREpublisherAssertions | ( | struct soap * | soap,
|  | std::vector< uddi2__publisherAssertion * > | publisherAssertions
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | publisherAssertions | collection of publisher assertions
Creates an instance of the add_USCOREpublisherAssertions class using the specified publisher assertions.

## Member Function Documentation

uddi2__dispositionReport * uddi2__add_USCOREpublisherAssertions::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server
Returns: A pointer to a uddi2__dispositionReport object or NULL on error Send a request to a UDDI server to add one or more publisher assertions to the assertion collection for an individual publisher.

## Member Data Documentation

char* uddi2__add_USCOREpublisherAssertions::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

char* uddi2__add_USCOREpublisherAssertions::generic

| Attribute generic of type xs:string. Required attribute

std::vector<uddi2__publisherAssertion*> uddi2__add_USCOREpublisherAssertions::publisherAssertion

| Vector of uddi2__publisherAssertion* with length 0..unbounded.

struct soap* uddi2__add_USCOREpublisherAssertions::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h